Bug 230806

Summary: x11-fm/doublecmd: update to version 0.8.4
Product: Ports & Packages Reporter: Beñat Gonzalez Etxepare <bbtruk>
Component: Individual Port(s)Assignee: Niclas Zeising <zeising>
Status: Closed FIXED    
Severity: Affects Only Me CC: zeising
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Patch to version 0.8.4
bbtruk: maintainer-approval+
Patch to version 0.8.4 (fixed) bbtruk: maintainer-approval+

Description Beñat Gonzalez Etxepare 2018-08-21 18:06:19 UTC
Created attachment 196425 [details]
Patch to version 0.8.4

Patch to version 0.8.4

Changes:

- Update to version 0.8.4
- Fix portlint warnings


Tested with Poudriere.
Comment 1 Niclas Zeising freebsd_committer 2019-01-06 11:58:50 UTC
I'll work on this.
Comment 2 Niclas Zeising freebsd_committer 2019-01-06 13:35:28 UTC
Something in doublecmd dumps core on head-amd64 when building with poudriere.  This probably needs to be investigated before this is updated.
Comment 3 Niclas Zeising freebsd_committer 2019-01-06 14:37:29 UTC
(In reply to Niclas Zeising from comment #2)
The same is happening on FreeBSD 12.0 amd64.  This needs to be investigated before this can be updated.
Comment 4 Niclas Zeising freebsd_committer 2019-01-06 18:40:25 UTC
(In reply to Niclas Zeising from comment #3)

The coredump does not occur on FreeBSD i386 poudriere build though.  Should the port be marked as broken on amd64?
Comment 5 Beñat Gonzalez Etxepare 2019-01-07 18:09:12 UTC
(In reply to Niclas Zeising from comment #4)

This is probably related to bug #233292. I am having problems with FreeBSD 12, so I can't debug it properly yet.

It can be marked broken for amd64 but AFAIK only on FreeBSD 12. I have been building and running x11-fm/doublecmd on FreeBSD 11 (amd64) until recently without any issues. Packages built for FreeBSD 11 also work on FreeBSD 12.
Comment 6 Beñat Gonzalez Etxepare 2019-01-09 17:54:20 UTC
Created attachment 200962 [details]
Patch to version 0.8.4 (fixed)

I have updated the patch with fixes to the coredump.

Tested with Poudriere on FreeBSD 12.0-RELEASE (amd64).
Comment 7 Niclas Zeising freebsd_committer 2019-01-09 18:09:04 UTC
(In reply to Beñat Gonzalez Etxepare from comment #6)

Thank you!
I'll look at this shortly.
Comment 8 commit-hook freebsd_committer 2019-01-09 22:17:05 UTC
A commit references this bug:

Author: zeising
Date: Wed Jan  9 22:16:20 UTC 2019
New revision: 489832
URL: https://svnweb.freebsd.org/changeset/ports/489832

Log:
  x11-fm/doublecmd: Update to 0.8.4

  Update x11-fm/doublecmd to 0.8.4
  Add LLD_UNSAFE to avoid build issues and runtime crashes.
  Pet portlint a bit
  Add USES=gnome

  PR:		230806
  Submitted by:	Be??at Gonzalez Etxepare (maintainer)

Changes:
  head/x11-fm/doublecmd/Makefile
  head/x11-fm/doublecmd/distinfo
Comment 9 Niclas Zeising freebsd_committer 2019-01-09 22:17:31 UTC
Committed, thanks!